pragma foreign_keys = 0;

begin;
attach database 'baseball-raw.db' as 'raw';
create temp table if not exists "allstargames" (
	"year"	numeric,
	"gameNum"	numeric,
	"game"	text
);

insert into allstargames
select distinct yearid, gamenum, gameid
from "raw".allstarfull;

-- fix game numbers for 1962 all-star games
update allstargames
set gamenum = 1
where game = 'ALS196207100';

update allstargames
set gamenum = 2
where game = 'NLS196207300';

-- 1945 all-star game wasn't played so some rows have no game id
update allstargames
set game = null
where game = '';

create table if not exists allstargames (
	"year"	numeric,
	"gameNum"	numeric,
	"game"	text	unique,
	primary key("year","gameNum"),
	foreign key("year") references "seasons"("year")
);

insert into main.allstargames select distinct * from temp.allstargames;
commit;
